Bug 17480 - [XSLT 2.0] validation with type="xs:untyped"
[XSLT 2.0] validation with type="xs:untyped"
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0
Last Call drafts
PC All
: P2 normal
: ---
Assigned To: Michael Kay
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 11:29 UTC by Michael Kay
Modified: 2013-02-12 21:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2012-06-13 11:29:57 UTC
We don't currently say what the effect is of setting type="xs:untyped" on instructions such as xsl:element.

I propose that we define it to have the same effect as setting validation="strip".

Affects both 2.0 and 3.0.
Comment 1 Michael Kay 2013-02-11 15:07:16 UTC
The WG accepted the proposed interpretation.
Comment 2 Michael Kay 2013-02-11 15:16:59 UTC
We also need to consider type="xs:untypedAtomic". The decision here is that we should validate as for type="xs:string" (that is, check there are no element children) and then mark the node as xs:untypedAtomic.
Comment 3 Michael Kay 2013-02-12 21:18:06 UTC
Changes applied. Test cases added: validation-0107, -0108, -0109.